.lima-rules:
  stage: arm
  rules:
    - !reference [.test, rules]
    - !reference [.lima-farm-rules, rules]
    - !reference [.gl-rules, rules]
    - changes:
      - src/gallium/drivers/lima/**/*
      - src/gallium/winsys/lima/**/*
      - src/lima/**/*
      when: on_success

# 4 devices (2023-12-16)
.lava-meson-gxl-s805x-libretech-ac:arm64:
  variables:
    DEVICE_TYPE: meson-gxl-s805x-libretech-ac
    DTB: meson-gxl-s805x-libretech-ac
    FDO_CI_CONCURRENT: 4
    GPU_VERSION: lima
    RUNNER_TAG: mesa-ci-x86-64-lava-lima

lima-mali450-deqp:arm64:
  extends:
    - .lava-test-deqp:arm64
    - .lima-rules
    - .lava-meson-gxl-s805x-libretech-ac:arm64
  variables:
    FDO_HTTP_CACHE_URI: ''
    HWCI_START_WESTON: 1
    DEQP_SUITE: lima-mali450-deqp
    VISIBILITY_GROUP: "mesa-ci"

lima-mali450-piglit:arm64:
  extends:
    - .lava-test-deqp:arm64
    - .lima-rules
    - .lava-meson-gxl-s805x-libretech-ac:arm64
  variables:
    DEQP_SUITE: lima-mali450-piglit
    FDO_HTTP_CACHE_URI: ''
    PIGLIT_PLATFORM: gbm
    VISIBILITY_GROUP: "mesa-ci"
  parallel: 2
